Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 54114)
+++ CMakeLists.txt	(working copy)
@@ -1613,27 +1613,27 @@
 # ***         Check for Types/Structures - Stage 6 of 9           ***
 # *******************************************************************
 
-BRLCAD_STRUCT_MEMBER("struct stat" st_blksize sys/stat.h STRUCT_STAT_ST_BLKSIZE)
-BRLCAD_STRUCT_MEMBER("struct stat" st_blocks sys/stat.h STRUCT_STAT_ST_BLOCKS)
-BRLCAD_STRUCT_MEMBER("struct stat" st_rdev sys/stat.h STRUCT_STAT_ST_RDEV)
+brlcad_struct_member("struct stat" st_blksize sys/stat.h STRUCT_STAT_ST_BLKSIZE)
+brlcad_struct_member("struct stat" st_blocks sys/stat.h STRUCT_STAT_ST_BLOCKS)
+brlcad_struct_member("struct stat" st_rdev sys/stat.h STRUCT_STAT_ST_RDEV)
 
 # socklen_t
-BRLCAD_TYPE_SIZE("socklen_t" "sys/types.h")
+brlcad_type_size("socklen_t" "sys/types.h")
 if(NOT HAVE_SOCKLEN_T)
-  BRLCAD_TYPE_SIZE("socklen_t" "sys/socket.h")
+  brlcad_type_size("socklen_t" "sys/socket.h")
 endif(NOT HAVE_SOCKLEN_T)
 
-BRLCAD_TYPE_SIZE("int" "")
-BRLCAD_TYPE_SIZE("long" "")
-BRLCAD_TYPE_SIZE("long long" "")
-BRLCAD_TYPE_SIZE("size_t" "")
-BRLCAD_TYPE_SIZE("ssize_t" "")
-BRLCAD_TYPE_SIZE("uint64_t" "")
-BRLCAD_TYPE_SIZE("uintptr_t" "")
-BRLCAD_TYPE_SIZE("sig_t" "signal.h")
+brlcad_type_size("int" "")
+brlcad_type_size("long" "")
+brlcad_type_size("long long" "")
+brlcad_type_size("size_t" "")
+brlcad_type_size("ssize_t" "")
+brlcad_type_size("uint64_t" "")
+brlcad_type_size("uintptr_t" "")
+brlcad_type_size("sig_t" "signal.h")
 
 # see if the compiler supports %z as a size_t print width specifier
-BRLCAD_CHECK_C99_FORMAT_SPECIFIERS()
+brlcad_check_c99_format_specifiers()
 
 
 # *******************************************************************
@@ -1641,47 +1641,47 @@
 # *******************************************************************
 
 # ALLOCA test - based on AC_FUNC_ALLOCA
-BRLCAD_ALLOCA()
+brlcad_alloca()
 
-BRLCAD_FUNCTION_EXISTS(XQueryExtension HAVE_XQUERYEXTENSION)
-BRLCAD_FUNCTION_EXISTS(alarm HAVE_ALARM)
-BRLCAD_FUNCTION_EXISTS(dlopen HAVE_DLOPEN)
-BRLCAD_FUNCTION_EXISTS(drand48 HAVE_DRAND48)
-BRLCAD_FUNCTION_EXISTS(fchmod HAVE_FCHMOD)
-BRLCAD_FUNCTION_EXISTS(fsync HAVE_FSYNC)
-BRLCAD_FUNCTION_EXISTS(getcwd HAVE_GETCWD)
-BRLCAD_FUNCTION_EXISTS(getegid HAVE_GETEGID)
-BRLCAD_FUNCTION_EXISTS(geteuid HAVE_GETEUID)
-BRLCAD_FUNCTION_EXISTS(gethostname HAVE_GETHOSTNAME)
-BRLCAD_FUNCTION_EXISTS(getloadavg HAVE_GETLOADAVG)
-BRLCAD_FUNCTION_EXISTS(getopt_long HAVE_GETOPT_LONG)
-BRLCAD_FUNCTION_EXISTS(getprogname HAVE_GETPROGNAME)
-BRLCAD_FUNCTION_EXISTS(kill HAVE_KILL)
-BRLCAD_FUNCTION_EXISTS(lrand48 HAVE_LRAND48)
-BRLCAD_FUNCTION_EXISTS(memset HAVE_MEMSET)
-BRLCAD_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
-BRLCAD_FUNCTION_EXISTS(pipe HAVE_PIPE)
-BRLCAD_FUNCTION_EXISTS(popen HAVE_POPEN)
-BRLCAD_FUNCTION_EXISTS(random HAVE_RANDOM)
-BRLCAD_FUNCTION_EXISTS(realpath HAVE_REALPATH)
-BRLCAD_FUNCTION_EXISTS(sbrk HAVE_SBRK)
-BRLCAD_FUNCTION_EXISTS(setenv HAVE_SETENV)
-BRLCAD_FUNCTION_EXISTS(setpgid HAVE_SETPGID)
-BRLCAD_FUNCTION_EXISTS(setpriority HAVE_SETPRIORITY)
-BRLCAD_FUNCTION_EXISTS(setprogname HAVE_SETPROGNAME)
-BRLCAD_FUNCTION_EXISTS(srand48 HAVE_SRAND48)
-BRLCAD_FUNCTION_EXISTS(strchr HAVE_STRCHR)
-BRLCAD_FUNCTION_EXISTS(strdup HAVE_STRDUP)
-BRLCAD_FUNCTION_EXISTS(strlcat HAVE_STRLCAT)
-BRLCAD_FUNCTION_EXISTS(strlcpy HAVE_STRLCPY)
-BRLCAD_FUNCTION_EXISTS(strsep HAVE_STRSEP)
-BRLCAD_FUNCTION_EXISTS(strtok HAVE_STRTOK)
-BRLCAD_FUNCTION_EXISTS(sync HAVE_SYNC)
-BRLCAD_FUNCTION_EXISTS(sysctl HAVE_SYSCTL)
-BRLCAD_FUNCTION_EXISTS(sysmp HAVE_SYSMP)
-BRLCAD_FUNCTION_EXISTS(vfork HAVE_VFORK)
-BRLCAD_FUNCTION_EXISTS(vsscanf HAVE_VSSCANF)
-BRLCAD_FUNCTION_EXISTS(writev HAVE_WRITEV)
+brlcad_function_exists(XQueryExtension HAVE_XQUERYEXTENSION)
+brlcad_function_exists(alarm HAVE_ALARM)
+brlcad_function_exists(dlopen HAVE_DLOPEN)
+brlcad_function_exists(drand48 HAVE_DRAND48)
+brlcad_function_exists(fchmod HAVE_FCHMOD)
+brlcad_function_exists(fsync HAVE_FSYNC)
+brlcad_function_exists(getcwd HAVE_GETCWD)
+brlcad_function_exists(getegid HAVE_GETEGID)
+brlcad_function_exists(geteuid HAVE_GETEUID)
+brlcad_function_exists(gethostname HAVE_GETHOSTNAME)
+brlcad_function_exists(getloadavg HAVE_GETLOADAVG)
+brlcad_function_exists(getopt_long HAVE_GETOPT_LONG)
+brlcad_function_exists(getprogname HAVE_GETPROGNAME)
+brlcad_function_exists(kill HAVE_KILL)
+brlcad_function_exists(lrand48 HAVE_LRAND48)
+brlcad_function_exists(memset HAVE_MEMSET)
+brlcad_function_exists(mkstemp HAVE_MKSTEMP)
+brlcad_function_exists(pipe HAVE_PIPE)
+brlcad_function_exists(popen HAVE_POPEN)
+brlcad_function_exists(random HAVE_RANDOM)
+brlcad_function_exists(realpath HAVE_REALPATH)
+brlcad_function_exists(sbrk HAVE_SBRK)
+brlcad_function_exists(setenv HAVE_SETENV)
+brlcad_function_exists(setpgid HAVE_SETPGID)
+brlcad_function_exists(setpriority HAVE_SETPRIORITY)
+brlcad_function_exists(setprogname HAVE_SETPROGNAME)
+brlcad_function_exists(srand48 HAVE_SRAND48)
+brlcad_function_exists(strchr HAVE_STRCHR)
+brlcad_function_exists(strdup HAVE_STRDUP)
+brlcad_function_exists(strlcat HAVE_STRLCAT)
+brlcad_function_exists(strlcpy HAVE_STRLCPY)
+brlcad_function_exists(strsep HAVE_STRSEP)
+brlcad_function_exists(strtok HAVE_STRTOK)
+brlcad_function_exists(sync HAVE_SYNC)
+brlcad_function_exists(sysctl HAVE_SYSCTL)
+brlcad_function_exists(sysmp HAVE_SYSMP)
+brlcad_function_exists(vfork HAVE_VFORK)
+brlcad_function_exists(vsscanf HAVE_VSSCANF)
+brlcad_function_exists(writev HAVE_WRITEV)
 
 # On Windows, we need to check for hypot etc..  This test pertains
 # to the windows specific config file, not CONFIG_H_FILE - hence,
@@ -1691,13 +1691,13 @@
   # consider all warnings as errors (MSVC)
   set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} /WX)
 
-  CHECK_SYMBOL_EXISTS(hypot "math.h" HAVE_HYPOT)
+  check_symbol_exists(hypot "math.h" HAVE_HYPOT)
   #If we don't have it, need to define it as _hypot in config_win
   if(NOT HAVE_HYPOT)
     set(hypot 1)
   endif(NOT HAVE_HYPOT)
 
-  CHECK_SYMBOL_EXISTS(asinh "math.h" HAVE_ASINH)
+  check_symbol_exists(asinh "math.h" HAVE_ASINH)
   #If we don't have it, need to define it in config_win
   if(NOT HAVE_ASINH)
     set(asinh 1)
@@ -1734,7 +1734,7 @@
 # Enable CTest Testing support - this is done after src/other is
 # added to avoid incorporating src/other CTests into BRL-CAD's own
 # testing.  TODO - probably should control this with an option.
-ENABLE_TESTING()
+enable_testing()
 
 # We've done the toplevel configure steps, now add the subdirectories
 add_subdirectory(src)
@@ -1748,11 +1748,11 @@
   add_subdirectory(bench)
   add_subdirectory(regress)
 else(NOT BRLCAD_ENABLE_TARGETS OR "${BRLCAD_ENABLE_TARGETS}" GREATER 2)
-  CMAKEFILES(doc pix bench regress db)
+  cmakefiles(doc pix bench regress db)
 endif(NOT BRLCAD_ENABLE_TARGETS OR "${BRLCAD_ENABLE_TARGETS}" GREATER 2)
 
 # Now that all the tests are done, configure the brlcad_config.h file:
-CONFIG_H_APPEND(BRLCAD "#endif /* __CONFIG_H__ */\n")
+config_h_append(BRLCAD "#endif /* __CONFIG_H__ */\n")
 get_property(CONFIG_H_FILE_CONTENTS GLOBAL PROPERTY ${CMAKE_PROJECT_NAME}_CONFIG_H_CONTENTS)
 file(WRITE ${CONFIG_H_FILE} "${CONFIG_H_FILE_CONTENTS}")
 configure_file(${CONFIG_H_FILE} ${BRLCAD_BINARY_DIR}/include/brlcad_config.h)
@@ -1767,7 +1767,7 @@
   NEWS
   README
   )
-BRLCAD_ADDDATA(toplevel_DOCFILES ".")
+brlcad_adddata(toplevel_DOCFILES ".")
 
 # Generate the windows specific file, if needed
 if(WIN32)
@@ -1908,13 +1908,13 @@
 # HOST
 configure_file(${BRLCAD_CMAKE_DIR}/test_srcs/report_hostname.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/report_hostname.c)
 if(NOT MSVC)
-  TRY_RUN(TIME_RESULT TIME_COMPILED
+  try_run(TIME_RESULT TIME_COMPILED
     ${CMAKE_BINARY_DIR}/CMakeTmp
     ${CMAKE_BINARY_DIR}/CMakeTmp/report_hostname.c
     OUTPUT_VARIABLE COMPILEMESSAGES)
 else(NOT MSVC)
   set(CMAKE_REQUIRED_LIBRARIES ws2_32.lib)
-  TRY_RUN(TIME_RESULT TIME_COMPILED
+  try_run(TIME_RESULT TIME_COMPILED
     ${CMAKE_BINARY_DIR}/CMakeTmp
     ${CMAKE_BINARY_DIR}/CMakeTmp/report_hostname.c
     OUTPUT_VARIABLE COMPILEMESSAGES
@@ -1924,11 +1924,11 @@
 file(APPEND ${BRLCAD_BINARY_DIR}/include/conf/HOST.tmp "\n")
 execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${BRLCAD_BINARY_DIR}/include/conf/HOST.tmp ${BRLCAD_BINARY_DIR}/include/conf/HOST)
 execute_process(COMMAND ${CMAKE_COMMAND} -E remove	${BRLCAD_BINARY_DIR}/include/conf/HOST.tmp)
-DISTCLEAN(${BRLCAD_BINARY_DIR}/include/conf/HOST)
+distclean(${BRLCAD_BINARY_DIR}/include/conf/HOST)
 
 # USER
 configure_file(${BRLCAD_CMAKE_DIR}/test_srcs/report_username.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/report_username.c)
-TRY_RUN(TIME_RESULT TIME_COMPILED
+try_run(TIME_RESULT TIME_COMPILED
   ${CMAKE_BINARY_DIR}/CMakeTmp
   ${CMAKE_BINARY_DIR}/CMakeTmp/report_username.c
   OUTPUT_VARIABLE COMPILEMESSAGES)
@@ -1936,7 +1936,7 @@
 file(APPEND ${BRLCAD_BINARY_DIR}/include/conf/USER.tmp "\n")
 execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${BRLCAD_BINARY_DIR}/include/conf/USER.tmp ${BRLCAD_BINARY_DIR}/include/conf/USER)
 execute_process(COMMAND ${CMAKE_COMMAND} -E remove ${BRLCAD_BINARY_DIR}/include/conf/USER.tmp)
-DISTCLEAN(${BRLCAD_BINARY_DIR}/include/conf/USER)
+distclean(${BRLCAD_BINARY_DIR}/include/conf/USER)
 
 # PATH
 if(CMAKE_CONFIGURATION_TYPES)
@@ -1975,7 +1975,7 @@
   execute_process(COMMAND ${CMAKE_COMMAND} -E remove	${BRLCAD_BINARY_DIR}/include/conf/PATH.tmp)
 
 endif(CMAKE_CONFIGURATION_TYPES)
-DISTCLEAN(${BRLCAD_BINARY_DIR}/include/conf/PATH)
+distclean(${BRLCAD_BINARY_DIR}/include/conf/PATH)
 
 # COUNT - Count how many times the configuration has changed.  Currently
 # we are detecting a configuration change by looking at the previous version
@@ -1987,7 +1987,7 @@
 
 if(EXISTS ${BRLCAD_BINARY_DIR}/include/conf/COUNT)
   include(${BRLCAD_CMAKE_DIR}/DiffCache.cmake)
-  DIFF_CACHE_file()
+  diff_cache_file()
   if(INCREMENT_COUNT_FILE)
     file(READ ${BRLCAD_BINARY_DIR}/include/conf/COUNT buildCounter_raw)
     string(STRIP ${buildCounter_raw} buildCounter)
@@ -1998,7 +1998,7 @@
   set(buildCounter 0)
   file(WRITE ${BRLCAD_BINARY_DIR}/include/conf/COUNT "${buildCounter}\n")
 endif(EXISTS ${BRLCAD_BINARY_DIR}/include/conf/COUNT)
-DISTCLEAN(${BRLCAD_BINARY_DIR}/include/conf/COUNT)
+distclean(${BRLCAD_BINARY_DIR}/include/conf/COUNT)
 
 # DATE - Increment this when we increment the COUNT, to avoid triggering
 # excessive relinking (an RFC2822 timestamp changes every second).
@@ -2009,7 +2009,7 @@
   execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different ${BRLCAD_BINARY_DIR}/include/conf/DATE.tmp ${BRLCAD_BINARY_DIR}/include/conf/DATE)
   execute_process(COMMAND ${CMAKE_COMMAND} -E remove	${BRLCAD_BINARY_DIR}/include/conf/DATE.tmp)
 endif(INCREMENT_COUNT_FILE OR NOT EXISTS ${BRLCAD_BINARY_DIR}/include/conf/DATE)
-DISTCLEAN(${BRLCAD_BINARY_DIR}/include/conf/DATE)
+distclean(${BRLCAD_BINARY_DIR}/include/conf/DATE)
 
 # CPack is used to produce tgz files, RPMS, etc.  If SUBBUILD is enabled this
 # becomes the responsibility of the parent project.
@@ -2122,24 +2122,24 @@
     Makefile.am
     CMakeLists.txt
     )
-  CMAKEFILES(${toplevel_ignore_files})
+  cmakefiles(${toplevel_ignore_files})
 
   # Handle some toplevel distclean listings
-  DISTCLEAN(${CMAKE_BINARY_DIR}/cmakefiles.cmake)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/cmakedirs.cmake)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/cmake_install.cmake)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/install_manifest.txt)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/OPTIONS)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/CMakeFiles)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/CMakeTmp)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/configure.new)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/INSTALL.new)
-  DISTCLEAN(${CMAKE_BINARY_DIR}/include/brlcad_config.h.in)
+  distclean(${CMAKE_BINARY_DIR}/cmakefiles.cmake)
+  distclean(${CMAKE_BINARY_DIR}/cmakedirs.cmake)
+  distclean(${CMAKE_BINARY_DIR}/cmake_install.cmake)
+  distclean(${CMAKE_BINARY_DIR}/install_manifest.txt)
+  distclean(${CMAKE_BINARY_DIR}/OPTIONS)
+  distclean(${CMAKE_BINARY_DIR}/CMakeFiles)
+  distclean(${CMAKE_BINARY_DIR}/CMakeTmp)
+  distclean(${CMAKE_BINARY_DIR}/configure.new)
+  distclean(${CMAKE_BINARY_DIR}/INSTALL.new)
+  distclean(${CMAKE_BINARY_DIR}/include/brlcad_config.h.in)
   foreach(clearpattern ${DISTCLEAN_OUTFILES})
-    DISTCLEAN(${CMAKE_BINARY_DIR}/${clearpattern})
+    distclean(${CMAKE_BINARY_DIR}/${clearpattern})
   endforeach(clearpattern ${DISTCLEAN_OUTFILES})
   if("${CMAKE_GENERATOR}" MATCHES "Ninja")
-    DISTCLEAN(${CMAKE_BINARY_DIR}/.ninja_log)
+    distclean(${CMAKE_BINARY_DIR}/.ninja_log)
   endif("${CMAKE_GENERATOR}" MATCHES "Ninja")
 
   # ----------------------------------------------------------------------------
@@ -2151,19 +2151,19 @@
   # Define some custom distcheck targets for distcheck-full (not run by default)
   #
   # CREATE_DISTCHECK(TARGET_SUFFIX CMAKE_OPTS source_dir build_dir install_dir [custom_template])
-  CREATE_DISTCHECK(default_build_type "-DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
-  CREATE_DISTCHECK(no_tk "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED -DBRLCAD_ENABLE_TK=OFF" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
-  CREATE_DISTCHECK(autodetect_debug "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
-  CREATE_DISTCHECK(autodetect_release "-DCMAKE_BUILD_TYPE=Release -DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
-  CREATE_DISTCHECK(odd_pathnames "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "1 Odd_ source dir ++" "1 Odd_ build dir ++" "1 Odd_ install dir ++")
-  CREATE_DISTCHECK(in_src_dir "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "install" distcheck_in_src_dir.cmake.in)
+  create_distcheck(default_build_type "-DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+  create_distcheck(no_tk "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED -DBRLCAD_ENABLE_TK=OFF" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+  create_distcheck(autodetect_debug "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+  create_distcheck(autodetect_release "-DCMAKE_BUILD_TYPE=Release -DBRLCAD_BUNDLED_LIBS=AUTO" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "build" "install")
+  create_distcheck(odd_pathnames "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "1 Odd_ source dir ++" "1 Odd_ build dir ++" "1 Odd_ install dir ++")
+  create_distcheck(in_src_dir "-DCMAKE_BUILD_TYPE=Debug -DBRLCAD_BUNDLED_LIBS=BUNDLED" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "install" distcheck_in_src_dir.cmake.in)
 
   # The following target can (and should) be removed once Autotools
   # deprecation is complete
-  CREATE_DISTCHECK(autotools "" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "install" distcheck_autotools.cmake.in)
+  create_distcheck(autotools "" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "${CPACK_SOURCE_PACKAGE_FILE_NAME}" "install" distcheck_autotools.cmake.in)
 
   # Now that we're set up and have added the extra targets we want for distcheck-full, define the build targets
-  DEFINE_DISTCHECK_TARGET(STD)
+  define_distcheck_target(STD)
 endif(NOT BRLCAD_IS_SUBBUILD)
 
 # ----------------------------------------------------------------------------
@@ -2239,7 +2239,7 @@
 # end of the CMake configure, the preparation of the final distclean
 # list must account for it.  Also, the distclean script itself must
 # be added to the list, as it is generated by CMake
-DISTCLEAN(${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_end.c)
+distclean(${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_end.c)
 get_property(CMAKE_DISTCLEAN_TARGET_LIST GLOBAL PROPERTY CMAKE_DISTCLEAN_TARGET_LIST)
 list(REMOVE_DUPLICATES CMAKE_DISTCLEAN_TARGET_LIST)
 configure_file(${BRLCAD_CMAKE_DIR}/distclean.cmake.in	${BRLCAD_BINARY_DIR}/distclean.cmake @ONLY)
@@ -2267,7 +2267,7 @@
 if(NOT BRLCAD_IS_SUBBUILD)
   set(DELTA_END "${CMAKE_BINARY_DIR}/CMakeTmp/DELTA_END")
   configure_file(${BRLCAD_CMAKE_DIR}/test_srcs/timedelta_end.c.in ${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_end.c)
-  TRY_RUN(TIME_RESULT TIME_COMPILED
+  try_run(TIME_RESULT TIME_COMPILED
     ${CMAKE_BINARY_DIR}/CMakeTmp
     ${CMAKE_BINARY_DIR}/CMakeTmp/timedelta_end.c
     OUTPUT_VARIABLE COMPILEMESSAGES)
Index: bench/CMakeLists.txt
===================================================================
--- bench/CMakeLists.txt	(revision 54114)
+++ bench/CMakeLists.txt	(working copy)
@@ -6,7 +6,7 @@
   -DCONSOLE
 )
 
-BRLCAD_ADDEXEC(pixcmp pixcmp.c libbu)
+brlcad_addexec(pixcmp pixcmp.c libbu)
 
 configure_file(run.sh ${CMAKE_CURRENT_BINARY_DIR}/benchmark COPYONLY)
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/benchmark DESTINATION ${BIN_DIR})
@@ -23,7 +23,7 @@
 file(APPEND ${CMAKE_BINARY_DIR}/CMakeTmp/benchmsg.cmake "message(\"Run 'make benchmark-clean' in the bench directory to delete the logic\")\n")
 file(APPEND ${CMAKE_BINARY_DIR}/CMakeTmp/benchmsg.cmake "message(\"and image files generated during the benchmark analysis.\")\n")
 
-CMAKEFILES(lgt.sh run.sh try.sh viewdiff.sh Makefile.am)
+cmakefiles(lgt.sh run.sh try.sh viewdiff.sh Makefile.am)
 
 if(SH_EXEC)
 	add_custom_target(benchmark
